Skip to content
Navigation

Create a permissioned equity Capital Objective

POST
https://api.sureshake.com/v2/startups/{startupListingId}/capital-objectives

Path parameters

  • startupListingId
    string
    required
    format: uuid

Request body JSON required

  • targetAmount
    number
    required
    minimum: 0
  • executionCycleId
    optional
    string
    or null
    format: uuid
  • instrument
    optional
    equity
    default: "equity"
  • currency
    optional
    string
    pattern: ^[A-Z]{3}$ · default: "USD"
  • minimumAmount
    optional
    number
    or null
    minimum: 0
  • maximumAmount
    optional
    number
    or null
    minimum: 0
  • status
    optional
    draft
    or
    active
    default: "draft"

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • startupListingId
      string
      required
      format: uuid
    • executionCycleId
      string
      or null
      required
      format: uuid
    • instrument
      equity
      required
    • currency
      string
      required
    • targetAmount
      string
      required
    • minimumAmount
      string
      or null
      required
    • maximumAmount
      string
      or null
      required
    • status
      draft
      or
      active
      or
      closed
      required
    • createdByUserId
      string
      required
    • createdAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close